%% Bulk Prebloom Experiment 1 Lognormal Distributions
lognpdf_normmixture = @(logBulkPreBloomExp1distributions,p,a,b,mu1,mu2,mu3,mu4,sigma1,sigma2,sigma3,sigma4) ...
                         p*normpdf(logBulkPreBloomExp1distributions,mu1,sigma1) + a*normpdf(logBulkPreBloomExp1distributions,mu2,sigma2) + b*normpdf(logBulkPreBloomExp1distributions,mu3,sigma3) + (1-b-a-p)*normpdf(logBulkPreBloomExp1distributions,mu4,sigma4);
                    
pStart = 0.397;
aStart = 0.21;
bStart = 0.27;
muStart = [6.12 6.345 6.551 6.79];
sigmaStart = [0.13 0.09 0.1 0.09];
start = [pStart aStart bStart muStart sigmaStart];

lb = [0 0 0 -Inf -Inf -Inf -Inf 0 0 0 0];
ub = [0.41 0.21 0.325 Inf Inf Inf Inf Inf Inf Inf Inf];
paramEsts(1,:) = mle(logBulkPreBloomExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub)
statset('mlecustom')
options = statset('MaxIter',300, 'MaxFunEvals',600);
paramEsts(1,:) = mle(logBulkPreBloomExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub, 'options',options)
                      
figure(1)
subplot(3,2,1)
fig = figure(1)
text(6.2,1.12e13,BP1Title,'fontweight', 'bold', 'FontSize', 18, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman');
hold on
text(6.05,1.1e13,'a','fontweight', 'bold', 'FontSize', 24, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman')
hold on
movBulkPreBloomExp1 = filtfilt(ones(1,nfilt)/nfilt,1,BulkPreBloomExp1(:,1));
nBulkPreBloomExp1 = trapz(logParticleSizes(:,1),movBulkPreBloomExp1);
plot(logParticleSizes(:,1),movBulkPreBloomExp1,'k','LineWidth',3)
%ylabel('PSD (m^-^3 m^-^1)')
ylim([0 1.2e13])
hold on
ax1 = gca
ax1.YColor = 'black'

xgrid = linspace(min(logBulkPreBloomExp1distributions),max(logBulkPreBloomExp1distributions),200);
pdfgrid = lognpdf_normmixture(xgrid,paramEsts(1,1),paramEsts(1,2),paramEsts(1,3),paramEsts(1,4),paramEsts(1,5),paramEsts(1,6),paramEsts(1,7),paramEsts(1,8),paramEsts(1,9),paramEsts(1,10),paramEsts(1,11));

npdf = trapz(xgrid,pdfgrid)
alpha = nBulkPreBloomExp1/npdf;
plot(xgrid,alpha*pdfgrid,'-','Linewidth',1.5)

hold on
lognormpdfBP1(:,1) = normpdf(logParticleSizes(:,1),paramEsts(1,4),paramEsts(1,8))*paramEsts(1,1)
plot(logParticleSizes(1:34,1), alpha*lognormpdfBP1(1:34,1), 'b-','Linewidth',2)
hold on
lognormpdfBP1(:,2) = normpdf(logParticleSizes(:,1),paramEsts(1,5), paramEsts(1,9))*paramEsts(1,2)
plot(logParticleSizes(2:39,1), alpha*lognormpdfBP1(2:39,2),'r-','Linewidth',2)
hold on

lognormpdfBP1(:,3) = normpdf(logParticleSizes(:,1),paramEsts(1,6), paramEsts(1,10))*paramEsts(1,3)
plot(logParticleSizes(9:60,1), alpha*lognormpdfBP1(9:60,3),'Color',[0.5 0.5 0],'Linewidth',2)
hold on
lognormpdfBP1(:,4) = normpdf(logParticleSizes(:,1),paramEsts(1,7), paramEsts(1,11))*(1-paramEsts(1,1)-paramEsts(1,2)-paramEsts(1,3))
plot(logParticleSizes(26:60,1), alpha*lognormpdfBP1(26:60,4),'-','Color', [0.2 0 0.4],'Linewidth',2)

ModalConcentrations(1,1:4)= trapz(logParticleSizes(:,1),alpha*lognormpdfBP1(:,1:4))

hold on
xlim([5.9915 6.9075])
xticks(xtick)
xticklabels(xlabels)
%xlabel('Equivalent Spherical Diameter (m)')
ax8 = gca
ax8.YColor = 'black'
set(gca, 'FontSize', 16,'TickDir','out','FontName','times new roman', 'fontweight','bold')
box on
hold off

%% Bulk Growth Experiment 1 Lognormal Distributions
lognpdf_normmixture = @(logBulkGrowthExp1distributions,p,a,b,mu1,mu2,mu3,mu4,sigma1,sigma2,sigma3,sigma4) ...
                         p*normpdf(logBulkGrowthExp1distributions,mu1,sigma1) + a*normpdf(logBulkGrowthExp1distributions,mu2,sigma2) + b*normpdf(logBulkGrowthExp1distributions,mu3,sigma3) + (1-b-a-p)*normpdf(logBulkGrowthExp1distributions,mu4,sigma4);
                     
pStart = 0.39;
aStart = 0.5;
bStart = 0.05;
muStart = [6.04 6.45 6.65 6.86];
sigmaStart = [0.21 0.19 0.08 0.09];
start = [pStart aStart bStart muStart sigmaStart];

lb = [0 0 0 -Inf -Inf -Inf -Inf 0 0 0 0];
ub = [0.42 0.55 0.2 6.04 6.46 Inf Inf Inf Inf Inf Inf];
paramEsts(2,:) = mle(logBulkGrowthExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub)
statset('mlecustom')
options = statset('MaxIter',300, 'MaxFunEvals',600);
paramEsts(2,:) = mle(logBulkGrowthExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub, 'options',options)
                      
figure(1)
subplot(3,2,3)
text(6.2,1.12e13,BG1Title,'fontweight', 'bold', 'FontSize', 18, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman');
hold on
text(6.05,1.1e13,'c','fontweight', 'bold', 'FontSize', 24, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman')
hold on
movBulkGrowthExp1 = filtfilt(ones(1,nfilt)/nfilt,1,BulkGrowthExp1(:,1));
nBulkGrowthExp1 = trapz(logParticleSizes(:,1),movBulkGrowthExp1);
plot(logParticleSizes(:,1),movBulkGrowthExp1,'k','LineWidth',3)

ylabel('PSD (m^-^3 m^-^1)')
ylim([0 1.2e13])
ax3 = gca
ax3.YColor = 'black'
hold on
xgrid = linspace(min(logBulkGrowthExp1distributions),max(logBulkGrowthExp1distributions),200);
pdfgrid = lognpdf_normmixture(xgrid,paramEsts(2,1),paramEsts(2,2),paramEsts(2,3),paramEsts(2,4),paramEsts(2,5),paramEsts(2,6),paramEsts(2,7),paramEsts(2,8),paramEsts(2,9),paramEsts(2,10),paramEsts(2,11));

npdf = trapz(xgrid,pdfgrid)
alpha = nBulkGrowthExp1/npdf;
plot(xgrid,alpha*pdfgrid,'-','Linewidth',1.5)

hold on
lognormpdfBG1(:,1) = normpdf(logParticleSizes(:,1),paramEsts(2,4), paramEsts(2,8))*paramEsts(2,1)
plot(logParticleSizes(1:50,1), alpha*lognormpdfBG1(1:50,1), 'b-','Linewidth',2)
hold on
lognormpdfBG1(:,2) = normpdf(logParticleSizes(:,1),paramEsts(2,5), paramEsts(2,9))*paramEsts(2,2)
plot(logParticleSizes(:,1), alpha*lognormpdfBG1(:,2),'r-','Linewidth',2)
hold on

lognormpdfBG1(:,3) = normpdf(logParticleSizes(:,1),paramEsts(2,6), paramEsts(2,10))*paramEsts(2,3)
plot(logParticleSizes(20:60,1), alpha*lognormpdfBG1(20:60,3),'-','Color',[0.5 0.5 0],'Linewidth',2)

lognormpdfBG1(:,4) = normpdf(logParticleSizes(:,1),paramEsts(2,7), paramEsts(2,11))*(1-paramEsts(2,1)-paramEsts(2,2)-paramEsts(2,3))
plot(logParticleSizes(32:60,1), alpha*lognormpdfBG1(32:60,4),'-','Color', [0.2 0 0.4],'Linewidth',2)

ModalConcentrations(2,1:4)= trapz(logParticleSizes(:,1),alpha*lognormpdfBG1(:,1:4))

hold off
xlim([5.9915 6.9075])
xticks(xtick)
xticklabels(xlabels)
%xlabel('Equivalent Spherical Diameter (m)')
ax8 = gca
ax8.YColor = 'black'
set(gca, 'FontSize', 16,'TickDir','out','FontName','times new roman','fontweight','bold')
box on

%% Bulk Postpeak Experiment 1 Lognormal Distributions
lognpdf_normmixture = @(logBulkStationaryExp1distributions,p,a,b,mu1,mu2,mu3,mu4,sigma1,sigma2,sigma3,sigma4) ...
                         p*normpdf(logBulkStationaryExp1distributions,mu1,sigma1) + a*normpdf(logBulkStationaryExp1distributions,mu2,sigma2) + b*normpdf(logBulkStationaryExp1distributions,mu3,sigma3) + (1-b-a-p)*normpdf(logBulkStationaryExp1distributions,mu4,sigma4);
                     
pStart = 0.415;
aStart = 0.45;
bStart = 0.03;
muStart = [6.09 6.445 6.615 6.79];
sigmaStart = [0.15 0.15 0.05 0.1];
start = [pStart aStart bStart muStart sigmaStart];

lb = [0.2 0.3 0 -Inf -Inf -Inf -Inf 0 0 0 0];
ub = [0.415 0.55 0.04 6.09 6.445 Inf Inf Inf Inf Inf Inf];
paramEsts(3,:) = mle(logBulkStationaryExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub)
statset('mlecustom')
options = statset('MaxIter',300, 'MaxFunEvals',600);
paramEsts(3,:) = mle(logBulkStationaryExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub, 'options',options)
                      
figure(1)
subplot(3,2,5)
text(6.2,1.12e13,PP1Title,'fontweight', 'bold', 'FontSize', 18, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman');
hold on
text(6.05,1.1e13,'e','fontweight', 'bold', 'FontSize', 24, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman')
hold on
movBulkStationaryExp1 = filtfilt(ones(1,nfilt)/nfilt,1,BulkStationaryExp1(:,1));
nBulkStationaryExp1 = trapz(logParticleSizes(:,1),movBulkStationaryExp1);
plot(logParticleSizes(:,1),movBulkStationaryExp1,'k','LineWidth',3)
hold on
xgrid = linspace(min(logBulkStationaryExp1distributions),max(logBulkStationaryExp1distributions),200);
pdfgrid = lognpdf_normmixture(xgrid,paramEsts(3,1),paramEsts(3,2),paramEsts(3,3),paramEsts(3,4),paramEsts(3,5),paramEsts(3,6),paramEsts(3,7),paramEsts(3,8),paramEsts(3,9),paramEsts(3,10),paramEsts(3,11));

npdf = trapz(xgrid,pdfgrid)
alpha = nBulkStationaryExp1/npdf;
plot(xgrid,alpha*pdfgrid,'-','Linewidth',1.5)
%ylabel('PSD (m^-^3 m^-^1)')
ylim([0 1.2e13])
ax5 = gca
ax5.YColor = 'black'
hold on

lognormpdfPP1(:,1) = normpdf(logParticleSizes(:,1),paramEsts(3,4), paramEsts(3,8))*paramEsts(3,1)
plot(logParticleSizes(1:37,1), alpha*lognormpdfPP1(1:37,1), 'b-','Linewidth',2)
hold on
lognormpdfPP1(:,2) = normpdf(logParticleSizes(:,1),paramEsts(3,5), paramEsts(3,9))*paramEsts(3,2)
plot(logParticleSizes(:,1), alpha*lognormpdfPP1(:,2),'r-','Linewidth',2)
hold on

lognormpdfPP1(:,3) = normpdf(logParticleSizes(:,1),paramEsts(3,6), paramEsts(3,10))*paramEsts(3,3)
plot(logParticleSizes(24:48,1), alpha*lognormpdfPP1(24:48,3),'-','Color',[0.5 0.5 0],'Linewidth',2)

lognormpdfPP1(:,4) = normpdf(logParticleSizes(:,1),paramEsts(3,7), paramEsts(3,11))*(1-paramEsts(3,1)-paramEsts(3,2)-paramEsts(3,3))
plot(logParticleSizes(24:60,1), alpha*lognormpdfPP1(24:60,4),'-','Color', [0.2 0 0.4],'Linewidth',2)

ModalConcentrations(3,1:4)= trapz(logParticleSizes(:,1),alpha*lognormpdfPP1(:,1:4))

xlim([5.9915 6.9075])
xticks(xtick)
xticklabels(xlabels)
xlabel('Particulate Equivalent Spherical Diameter (m)')
ax8 = gca
ax8.YColor = 'black'
set(gca, 'FontSize', 16,'TickDir','out','FontName','times new roman','fontweight','bold')
box on
hold off
%% SSML Prebloom Experiment 1 Lognormal Distributions
lognpdf_normmixture = @(logSSMLPreBloomExp1distributions,p,a,b,mu1,mu2,mu3,mu4,sigma1,sigma2,sigma3,sigma4) ...
                         p*normpdf(logSSMLPreBloomExp1distributions,mu1,sigma1) + a*normpdf(logSSMLPreBloomExp1distributions,mu2,sigma2) + b*normpdf(logSSMLPreBloomExp1distributions,mu3,sigma3) + (1-b-a-p)*normpdf(logSSMLPreBloomExp1distributions,mu4,sigma4);
                     
pStart = 0.53;
aStart = 0.225;
bStart = 0.14;
muStart = [6.12 6.41 6.6 6.79];
sigmaStart = [0.18 0.1 0.08 0.1];
start = [pStart aStart bStart muStart sigmaStart];

lb = [0.3 0.22 0.07 -Inf -Inf -Inf -Inf 0 0 0 0];
ub = [0.53 0.48 0.35 6.15 6.41 Inf Inf Inf Inf Inf Inf];paramEsts(4,:) = mle(logSSMLPreBloomExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub)
statset('mlecustom')
options = statset('MaxIter',300, 'MaxFunEvals',600);
paramEsts(4,:) = mle(logSSMLPreBloomExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub, 'options',options)
                      
figure(1)
subplot(3,2,2)
text(6.2,1.12e13,SP1Title,'fontweight', 'bold', 'FontSize', 18, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman');
hold on
text(6.05,1.1e13,'b','fontweight', 'bold', 'FontSize', 24, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman')
hold on
movSSMLPreBloomExp1 = filtfilt(ones(1,nfilt)/nfilt,1,SSMLPreBloomExp1(:,1));
nSSMLPreBloomExp1 = trapz(logParticleSizes(:,1),movSSMLPreBloomExp1);
plot(logParticleSizes(:,1),movSSMLPreBloomExp1,'k','LineWidth',3);
hold on

xgrid = linspace(min(logSSMLPreBloomExp1distributions),max(logSSMLPreBloomExp1distributions),200);
pdfgrid = lognpdf_normmixture(xgrid,paramEsts(4,1),paramEsts(4,2),paramEsts(4,3),paramEsts(4,4),paramEsts(4,5),paramEsts(4,6),paramEsts(4,7),paramEsts(4,8),paramEsts(4,9),paramEsts(4,10),paramEsts(4,11));

npdf = trapz(xgrid,pdfgrid);
alpha = nSSMLPreBloomExp1/npdf;
plot(xgrid,alpha*pdfgrid,'-','Linewidth',1.5);

%ylabel('PSD (m^-^3 m^-^1)')
ylim([0 1.2e13])
ax7 = gca
ax7.YColor = 'black'

hold on
lognormpdfSP1(:,1) = normpdf(logParticleSizes(:,1),paramEsts(4,4), paramEsts(4,8))*paramEsts(4,1)
plot(logParticleSizes(1:49,1), alpha*lognormpdfSP1(1:49,1), 'b-','Linewidth',2)
hold on
lognormpdfSP1(:,2) = normpdf(logParticleSizes(:,1),paramEsts(4,5), paramEsts(4,9))*paramEsts(4,2)
plot(logParticleSizes(1:48,1), alpha*lognormpdfSP1(1:48,2),'r-','Linewidth',2)
hold on

lognormpdfSP1(:,3) = normpdf(logParticleSizes(:,1),paramEsts(4,6), paramEsts(4,10))*paramEsts(4,3)
plot(logParticleSizes(16:58,1), alpha*lognormpdfSP1(16:58,3),'-','Color',[0.5 0.5 0],'Linewidth',2)

lognormpdfSP1(:,4) = normpdf(logParticleSizes(:,1),paramEsts(4,7), paramEsts(4,11))*(1-paramEsts(4,1)-paramEsts(4,2)-paramEsts(4,3))
plot(logParticleSizes(24:60,1), alpha*lognormpdfSP1(24:60,4),'-','Color', [0.2 0 0.4],'Linewidth',2)

ModalConcentrations(4,1:4)= trapz(logParticleSizes(:,1),alpha*lognormpdfSP1(:,1:4))

hold off
xlim([5.9915 6.9075])
xticks(xtick)
xticklabels(xlabels)
%xlabel('Equivalent Spherical Diameter (m)')
ax8 = gca
ax8.YColor = 'black'
set(gca, 'FontSize', 16,'TickDir','out','FontName','times new roman','fontweight','bold')
box on
%% SSML Growth Experiment 1 Lognormal Distributions
lognpdf_normmixture = @(logSSMLGrowthExp1distributions,p,a,b,mu1,mu2,mu3,mu4,sigma1,sigma2,sigma3,sigma4) ...
                         p*normpdf(logSSMLGrowthExp1distributions,mu1,sigma1) + a*normpdf(logSSMLGrowthExp1distributions,mu2,sigma2) + b*normpdf(logSSMLGrowthExp1distributions,mu3,sigma3) + (1-b-a-p)*normpdf(logSSMLGrowthExp1distributions,mu4,sigma4);
                     
pStart = 0.42;
aStart = 0.45;
bStart = 0.025;
muStart = [6.05 6.47 6.58 6.79];
sigmaStart = [0.2 0.17 0.05 0.09];
start = [pStart aStart bStart muStart sigmaStart];

lb = [0.25 0.3 0.025 -Inf -Inf -Inf -Inf 0 0 0 0];
ub = [0.45 0.61 0.35 6.15 6.47 Inf Inf Inf Inf Inf Inf];
paramEsts(5,:) = mle(logSSMLGrowthExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub)
statset('mlecustom')
options = statset('MaxIter',300, 'MaxFunEvals',600);
paramEsts(5,:) = mle(logSSMLGrowthExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub, 'options',options)
                      
figure(1)
subplot(3,2,4)
text(6.2,1.12e13,SG1Title,'fontweight', 'bold', 'FontSize', 18, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman');
hold on
text(6.05,1.1e13,'d','fontweight', 'bold', 'FontSize', 24, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman')
hold on
movSSMLGrowthExp1 = filtfilt(ones(1,nfilt)/nfilt,1,SSMLGrowthExp1(:,1));
nSSMLGrowthExp1 = trapz(logParticleSizes(:,1),movSSMLGrowthExp1);
plot(logParticleSizes(:,1),movSSMLGrowthExp1,'k','LineWidth',3);
%ylabel('PSD (m^-^3 m^-^1)')
hold on
xgrid = linspace(min(logSSMLGrowthExp1distributions),max(logSSMLGrowthExp1distributions),200);
pdfgrid = lognpdf_normmixture(xgrid,paramEsts(5,1),paramEsts(5,2),paramEsts(5,3),paramEsts(5,4),paramEsts(5,5),paramEsts(5,6),paramEsts(5,7),paramEsts(5,8),paramEsts(5,9),paramEsts(5,10),paramEsts(5,11));

npdf = trapz(xgrid,pdfgrid);
alpha = nSSMLGrowthExp1/npdf;
plot(xgrid,alpha*pdfgrid,'-','Linewidth',1.5);


ylim([0 1.2e13])
ax9 = gca
ax9.YColor = 'black'

hold on
lognormpdfSG1(:,1) = normpdf(logParticleSizes(:,1),paramEsts(5,4), paramEsts(5,8))*paramEsts(5,1)
plot(logParticleSizes(1:48,1), alpha*lognormpdfSG1(1:48,1), 'b-','Linewidth',2)
hold on
lognormpdfSG1(:,2) = normpdf(logParticleSizes(:,1),paramEsts(5,5), paramEsts(5,9))*paramEsts(5,2)
plot(logParticleSizes(:,1), alpha*lognormpdfSG1(:,2),'r-','Linewidth',2)
hold on

lognormpdfSG1(:,3) = normpdf(logParticleSizes(:,1),paramEsts(5,6), paramEsts(5,10))*paramEsts(5,3)
plot(logParticleSizes(22:45,1), alpha*lognormpdfSG1(22:45,3),'-','Color',[0.5 0.5 0],'Linewidth',2)

lognormpdfSG1(:,4) = normpdf(logParticleSizes(:,1),paramEsts(5,7), paramEsts(5,11))*(1-paramEsts(5,1)-paramEsts(5,2)-paramEsts(5,3))
plot(logParticleSizes(26:60,1), alpha*lognormpdfSG1(26:60,4),'-','Color', [0.2 0 0.4],'Linewidth',2)

ModalConcentrations(5,1:4)= trapz(logParticleSizes(:,1),alpha*lognormpdfSG1(:,1:4))

hold off
xlim([5.9915 6.9075])
xticks(xtick)
xticklabels(xlabels)
%xlabel('Equivalent Spherical Diameter (m)')
ax8 = gca
ax8.YColor = 'black'
set(gca, 'FontSize', 16,'TickDir','out','FontName','times new roman','fontweight','bold')
box on
%% SSML Stationary Experiment 1 Lognormal Distributions
lognpdf_normmixture = @(logSSMLStationaryExp1distributions,p,a,b,mu1,mu2,mu3,mu4,sigma1,sigma2,sigma3,sigma4) ...
                         p*normpdf(logSSMLStationaryExp1distributions,mu1,sigma1) + a*normpdf(logSSMLStationaryExp1distributions,mu2,sigma2) + b*normpdf(logSSMLStationaryExp1distributions,mu3,sigma3) + (1-b-a-p)*normpdf(logSSMLStationaryExp1distributions,mu4,sigma4);
                     
pStart = 0.485;
aStart = 0.385;
bStart = 0.04;
muStart = [6.04 6.4 6.57 6.75];
sigmaStart = [0.2 0.16 0.06 0.09];
start = [pStart aStart bStart muStart sigmaStart];

lb = [0.1 0.05 0.0 -Inf -Inf -Inf -Inf 0 0 0 0];
ub = [0.55 0.8 0.4 6.07 6.4 Inf Inf Inf Inf Inf Inf];
paramEsts(6,:) = mle(logSSMLStationaryExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub)
statset('mlecustom')
options = statset('MaxIter',300, 'MaxFunEvals',600);
paramEsts(6,:) = mle(logSSMLStationaryExp1distributions, 'pdf',lognpdf_normmixture, 'start',start, ...
                          'lower',lb, 'upper',ub, 'options',options)
                      
figure(1)
subplot(3,2,6)
text(6.2,1.12e13,SS1Title,'fontweight', 'bold', 'FontSize', 18, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman');
hold on
text(6.05,1.1e13,'f','fontweight', 'bold', 'FontSize', 24, 'Color', 'k', 'HandleVisibility', 'off','FontName','times new roman')
hold on
movSSMLStationaryExp1 = filtfilt(ones(1,nfilt)/nfilt,1,SSMLStationaryExp1(:,1));
nSSMLStationaryExp1 = trapz(logParticleSizes(:,1),movSSMLStationaryExp1);
plot(logParticleSizes(:,1),movSSMLStationaryExp1,'k','LineWidth',3);
%ylabel('PSD (m^-^3 m^-^1)')
hold on

xgrid = linspace(min(logSSMLStationaryExp1distributions),max(logSSMLStationaryExp1distributions),200);
pdfgrid = lognpdf_normmixture(xgrid,paramEsts(6,1),paramEsts(6,2),paramEsts(6,3),paramEsts(6,4),paramEsts(6,5),paramEsts(6,6),paramEsts(6,7),paramEsts(6,8),paramEsts(6,9),paramEsts(6,10),paramEsts(6,11));

npdf = trapz(xgrid,pdfgrid);
alpha = nSSMLStationaryExp1/npdf;
plot(xgrid,alpha*pdfgrid,'-','Linewidth',1.5);
hold on
ylim([0 1.2e13])
ax11 = gca
ax11.YColor = 'black'
hold on


hold on
lognormpdfSS1(:,1) = normpdf(logParticleSizes(:,1),paramEsts(6,4), paramEsts(6,8))*paramEsts(6,1)
plot(logParticleSizes(1:48,1), alpha*lognormpdfSS1(1:48,1), 'b-','Linewidth',2)
hold on
lognormpdfSS1(:,2) = normpdf(logParticleSizes(:,1),paramEsts(6,5), paramEsts(6,9))*paramEsts(6,2)
plot(logParticleSizes(:,1), alpha*lognormpdfSS1(:,2),'r-','Linewidth',2)
hold on

lognormpdfSS1(:,3) = normpdf(logParticleSizes(:,1),paramEsts(6,6), paramEsts(6,10))*paramEsts(6,3)
plot(logParticleSizes(19:47,1), alpha*lognormpdfSS1(19:47,3),'-','Color',[0.5 0.5 0],'Linewidth',2)

lognormpdfSS1(:,4) = normpdf(logParticleSizes(:,1),paramEsts(6,7), paramEsts(6,11))*(1-paramEsts(6,1)-paramEsts(6,2)-paramEsts(6,3))
plot(logParticleSizes(24:60,1), alpha*lognormpdfSS1(24:60,4),'-','Color', [0.2 0 0.4],'Linewidth',2)

ModalConcentrations(6,1:4)= trapz(logParticleSizes(:,1),alpha*lognormpdfSS1(:,1:4))

hold off
xlim([5.9915 6.9075])
xticks(xtick)
xticklabels(xlabels)
%xlabel('Equivalent Spherical Diameter (m)')
ax8 = gca
ax8.YColor = 'black'
set(gca, 'FontSize', 16,'TickDir','out','FontName','times new roman','fontweight','bold')
box on
